import Configstore from 'configstore';
import { fileURLToPath } from 'url';
import { dirname } from 'path';

const __filename = fileURLToPath(import.meta.url);
const __dirname = dirname(__filename);

// Create a Configstore instance
const config = new Configstore('cligitmessageai', {}, {
  globalConfigPath: true
});

export const setApiKey = (provider, key) => {
  config.set(`${provider}.apiKey`, key);
};

export const getApiKey = (provider) => {
  return config.get(`${provider}.apiKey`);
};

export const hasApiKey = (provider) => {
  return config.has(`${provider}.apiKey`);
};

export const deleteApiKey = (provider) => {
  config.delete(`${provider}.apiKey`);
}; 